package PCC;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.Statement;

public class ItemVenda {

	private String	produto;
	private double	preco;
	private int	qtdade;
	private double	totalItem;
	private int estoque;
	private String datavenda;
	private String codforma;
	
	public int getEstoque() {
		return estoque;
	}
	public void setEstoque(int estoque) {
		this.estoque = estoque;
	}
	public String getProduto() {
		return produto;
	}
	public void setProduto(String produto) {
		this.produto = produto;
	}
	public double getPreco() {
		return preco;
	}
	public void setPreco(double preco) {
		this.preco = preco;
	}
	public int getQtdade() {
		return qtdade;
	}
	public void setQtdade(int qtdade) {
		this.qtdade = qtdade;
	}
	public double getTotalItem() {
		return totalItem;
	}
	public void setTotalItem(double totalItem) {
		this.totalItem = totalItem;
	}
	public int retornacodigocliente(String cliente){
		int codigo = 0;
		Banco banco = new Banco();
		try{
			Connection ExConn = banco.abrirBDConn();
			Statement stmt = ExConn.createStatement();
			ResultSet rs = stmt.executeQuery("SELECT codcli FROM tabcli WHERE nome = '"+cliente+"'");
			while(rs.next()){
				codigo = rs.getInt("codcli");
			}
			stmt.close();
			banco.fecharBDConn();
			System.out.println("Retorno codigo cli: " + codigo);
			return codigo;
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return codigo;
	}
	public int retornacodigoproduto(String produto){
		int codigo = 0;
		Banco banco = new Banco();
		try{
			setProduto(produto);
			Connection ExConn = banco.abrirBDConn();
			Statement stmt = ExConn.createStatement();
			ResultSet rs = stmt.executeQuery("SELECT codprod FROM tabprod WHERE nome = '"+getProduto()+"'");
			while(rs.next()){
				codigo = rs.getInt("codprod");
			}
			stmt.close();
			banco.fecharBDConn();
			System.out.println("Retorno codigo produto: " + codigo);
			return codigo;
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return codigo;
}

	int numChave = 0;
	public int inserirvendabanco(String cliente, String data, int forma){
		try{
			Banco banco = new Banco();
			numChave = retornacodigocliente(cliente);
			Connection ExConn = banco.abrirBDConn();
	        String sSQL = "INSERT INTO tabvendajava(codcli,datavenda,codforma) VALUES (?,?,?)";
	        PreparedStatement stm = ExConn.prepareStatement(sSQL);
	        stm.setInt(1, numChave);
	        stm.setString(2, data);
	        stm.setInt(3, forma);
	        stm.executeUpdate();
	        ResultSet rs = stm.executeQuery("SELECT LAST_INSERT_ID()");
			if (rs.next()){
				numChave = rs.getInt(1);
			}
			banco.fecharBDConn();
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return numChave;

	}
	
	public void baixarestoqueproduto(String produto, int quantidade){
		Banco banco = new Banco();
		try{
			Connection ExConn = banco.abrirBDConn();
			Statement stmt = ExConn.createStatement();
			ResultSet rs = stmt.executeQuery("SELECT qtd FROM tabprod WHERE nome = '"+produto+"'");
			while(rs.next()){
				estoque = rs.getInt("qtd");
			}
			stmt.close();
			banco.fecharBDConn();
		}catch(Exception ex){
			ex.printStackTrace();
		}
		estoque = estoque - quantidade;
		try{
			Connection ExConn = banco.abrirBDConn();
			Statement stmt = ExConn.createStatement();
			int res = stmt.executeUpdate("UPDATE tabprod SET qtd = '"+estoque+"' WHERE nome = '"+produto+"'");
			stmt.close();
			banco.fecharBDConn();
			System.out.println((res == 1)?"Atualizao OK":"Erro na Atualizao");
		}catch(Exception ex){
			ex.printStackTrace();
		}

	}
	
	int CodigoPro = 0;
	public void inserirprodutosvenda(int numChave, String produto, int Quantidade, double Valor){
        try {
        	CodigoPro = retornacodigoproduto(produto);
        	//criar metodo para baixar produtos no estoque
        	baixarestoqueproduto(produto, Quantidade);
        	Banco banco = new Banco();
        	Connection ExConn = banco.abrirBDConn();
        	System.out.println("oioimundo");
            String sSql =  "INSERT INTO tabvendaprod (codvenda, codprod, qtd, valorvenda) VALUES(?,?,?,?)";
            PreparedStatement stm = ExConn.prepareStatement(sSql);
            stm.setInt(1, numChave);
            stm.setInt(2, CodigoPro);
            stm.setInt(3, Quantidade);
            stm.setDouble(4, Valor); 
            stm.executeUpdate();
	banco.fecharBDConn();
    } catch (Exception ex) {
        ex.printStackTrace();
    }
	}
	public void setDatavenda(String datavenda) {
		this.datavenda = datavenda;
	}
	public String getDatavenda() {
		return datavenda;
	}
	public void setCodforma(String codforma) {
		this.codforma = codforma;
	}
	public String getCodforma() {
		return codforma;
	}
}
