package PCC;

import java.awt.BorderLayout;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;

import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JComboBox;
import javax.swing.JTextField;
import javax.swing.JButton;

public class TelaAlteraFornecedor extends JFrame {

	private JPanel jContentPane = null;
	private JLabel lbtitulo = null;
	private JLabel jLabel = null;
	private JComboBox jComboBox = null;
	private JLabel lbnome = null;
	private JTextField tnome = null;
	private JLabel lbender = null;
	private JTextField tender = null;
	private JLabel lbtelef = null;
	private JTextField ttelef = null;
	private JLabel lbcontato = null;
	private JTextField tcontato = null;
	private JLabel lbcnpj = null;
	private JTextField tcnpj = null;
	private JButton jButton = null;
	private String nomefornec = "";

	/**
	 * This method initializes jComboBox	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	private JComboBox getJComboBox() {
		if (jComboBox == null) {
			jComboBox = new JComboBox();
			Banco banco = new Banco();
			try{
				Connection ExConn = banco.abrirBDConn();
				Statement stmt = ExConn.createStatement();
				ResultSet rs = stmt.executeQuery("SELECT codfornec,nome FROM tabfornec ORDER BY nome");
				while (rs.next()){
					String texto2 = rs.getString("nome");
					String texto1 = rs.getString("codfornec");
					texto1 = texto1 + " - " + texto2;
					jComboBox.addItem(texto1);
				}
			jComboBox.setBounds(new java.awt.Rectangle(245,67,214,25));
			jComboBox.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					String nomecombo = (String) jComboBox.getSelectedItem();
					String nomecombo2 = "";
					int num = 0;
					int contador = nomecombo.length();
					for(int i = 0;i<contador;i++){
						if (nomecombo.substring(i,i+1).equals("-")){
						int posicao = i+2;
						i += 2;
						num = 1;
						}
					if (num == 1){
						nomecombo2 = nomecombo2 + nomecombo.substring(i,i+1);
					}}
					nomefornec = nomecombo2;
					System.out.println(nomefornec);
					tnome.setText("");
					tender.setText("");
					ttelef.setText("");
					tcontato.setText("");
					tcnpj.setText("");
					Banco banco = new Banco();
					String varnome="", varender="", vartelef="", 
					varcontato="",varcnpj="";
					try{
						Connection ExConn = banco.abrirBDConn();
						Statement stmt = ExConn.createStatement();
						ResultSet rs = stmt.executeQuery("SELECT * FROM tabfornec where nome='"+nomefornec+"';");
						while (rs.next()){
							varnome=(rs.getString("nome"));
							varender=(rs.getString("ender"));
							vartelef=(rs.getString("telef"));
							varcontato=(rs.getString("contatoeletronico"));
							varcnpj=(rs.getString("cnpj"));
							
						}
						tnome.setText(varnome);
						tender.setText(varender);
						ttelef.setText(vartelef);
						tcontato.setText(varcontato);
						tcnpj.setText(varcnpj);
						stmt.close();
					}catch(Exception ex){
						ex.printStackTrace();
					}						
				}
			});
			stmt.close();
		}catch(Exception ex){
			ex.printStackTrace();
		}
			
		}
		return jComboBox;
	}

	/**
	 * This method initializes tnome	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTnome() {
		if (tnome == null) {
			tnome = new JTextField();
			tnome.setBounds(new java.awt.Rectangle(245,118,263,20));
		}
		return tnome;
	}

	/**
	 * This method initializes tender	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTender() {
		if (tender == null) {
			tender = new JTextField();
			tender.setBounds(new java.awt.Rectangle(245,163,263,20));
		}
		return tender;
	}

	/**
	 * This method initializes ttelef	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTtelef() {
		if (ttelef == null) {
			ttelef = new JTextField();
			ttelef.setBounds(new java.awt.Rectangle(245,204,243,20));
		}
		return ttelef;
	}

	/**
	 * This method initializes tcontato	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTcontato() {
		if (tcontato == null) {
			tcontato = new JTextField();
			tcontato.setBounds(new java.awt.Rectangle(245,243,210,20));
		}
		return tcontato;
	}

	/**
	 * This method initializes tcnpj	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTcnpj() {
		if (tcnpj == null) {
			tcnpj = new JTextField();
			tcnpj.setBounds(new java.awt.Rectangle(245,284,263,20));
		}
		return tcnpj;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new java.awt.Rectangle(274,320,121,29));
			jButton.setText("Alterar");
			jButton.setName("Alterar");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					String nome = tnome.getText();
					String ender = tender.getText();
					String telef = ttelef.getText();
                    String contato = tcontato.getText();
                    String cnpj = tcnpj.getText();
                    CadastarFornecedor a = new CadastarFornecedor();
                    a.setNome(nome);
                    a.setEnder(ender);
                    a.setTelef(telef);
                    a.setContatoeletronico(contato);
                    a.setCnpj(cnpj);
                    a.setNomeFornec(nomefornec);
                    a.alterar();
                    JOptionPane.showMessageDialog (null,"Alterao feita com sucesso!","Sair",JOptionPane.INFORMATION_MESSAGE);
					TelaAlteraFornecedor.this.dispose();
                    
				}
			});
		}
		return jButton;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

	/**
	 * This is the default constructor
	 */
	public TelaAlteraFornecedor() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(604, 408);
		this.setContentPane(getJContentPane());
		this.setTitle("Alterar Fornecedor");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			lbcnpj = new JLabel();
			lbcnpj.setBounds(new java.awt.Rectangle(59,291,38,16));
			lbcnpj.setText("CNPJ:");
			lbcontato = new JLabel();
			lbcontato.setBounds(new java.awt.Rectangle(59,251,120,16));
			lbcontato.setText("Contato Eletrnico:");
			lbtelef = new JLabel();
			lbtelef.setBounds(new java.awt.Rectangle(59,210,61,16));
			lbtelef.setText("Telefone:");
			lbender = new JLabel();
			lbender.setBounds(new java.awt.Rectangle(59,166,67,16));
			lbender.setText("Endereo:");
			lbnome = new JLabel();
			lbnome.setBounds(new java.awt.Rectangle(59,124,38,16));
			lbnome.setText("Nome:");
			jLabel = new JLabel();
			jLabel.setBounds(new java.awt.Rectangle(59,74,79,16));
			jLabel.setText("Fornecedor:");
			lbtitulo = new JLabel();
			lbtitulo.setBounds(new java.awt.Rectangle(247,8,231,30));
			lbtitulo.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 24));
			lbtitulo.setText("Alterar Fornecedor");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(lbtitulo, null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getJComboBox(), null);
			jContentPane.add(lbnome, null);
			jContentPane.add(getTnome(), null);
			jContentPane.add(lbender, null);
			jContentPane.add(getTender(), null);
			jContentPane.add(lbtelef, null);
			jContentPane.add(getTtelef(), null);
			jContentPane.add(lbcontato, null);
			jContentPane.add(getTcontato(), null);
			jContentPane.add(lbcnpj, null);
			jContentPane.add(getTcnpj(), null);
			jContentPane.add(getJButton(), null);
		}
		return jContentPane;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
