package PCC;


import java.awt.Rectangle;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;


import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.JButton;





public class TelaCadastarProduto extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private JPanel jContentPane = null;
	private JLabel lbTitulo = null;
	private JLabel lbnome = null;
	private JLabel lbvalor = null;
	private JLabel lbqtd = null;
	private JLabel lbdescricao = null;
	private JLabel lbcodfornec = null;
	private JButton jButton = null;
	private JTextField tnome = null;
	private JTextField tvalor = null;
	private JTextField tqtd = null;
	private JTextField tdescricao = null;
	private JComboBox combocodfornec = null;
	/**
	 * This is the default constructor
	 */
	public TelaCadastarProduto() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(609, 370);
		this.setContentPane(getJContentPane());
		this.setTitle("Cadastro de Produto");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			lbcodfornec = new JLabel();
			lbcodfornec.setBounds(new java.awt.Rectangle(44,243,142,15));
			lbcodfornec.setText("Cdigo do Fornecedor:");
			lbdescricao = new JLabel();
			lbdescricao.setBounds(new java.awt.Rectangle(44,205,75,16));
			lbdescricao.setText("Descrio: ");
			lbqtd = new JLabel();
			lbqtd.setBounds(new java.awt.Rectangle(44,169,85,16));
			lbqtd.setText("Quantidade:");
			lbvalor = new JLabel();
			lbvalor.setBounds(new java.awt.Rectangle(44,134,59,16));
			lbvalor.setText("Valor: ");
			lbnome = new JLabel();
			lbnome.setBounds(new java.awt.Rectangle(44,96,76,16));
			lbnome.setText("Nome:");
			lbTitulo = new JLabel();
			lbTitulo.setBounds(new java.awt.Rectangle(176,5,257,29));
			lbTitulo.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 24));
			lbTitulo.setText("Cadastar Produto");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(lbTitulo, null);
			jContentPane.add(lbnome, null);
			jContentPane.add(lbvalor, null);
			jContentPane.add(lbqtd, null);
			jContentPane.add(lbdescricao, null);
			jContentPane.add(lbcodfornec, null);
			jContentPane.add(getJButton(), null);
			jContentPane.add(getTnome(), null);
			jContentPane.add(getTvalor(), null);
			jContentPane.add(getTqtd(), null);
			jContentPane.add(getTdescricao(), null);
			jContentPane.add(getCombocodfornec(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new java.awt.Rectangle(210,291,148,21));
			jButton.setText("Cadastar");
			jButton.addActionListener(new java.awt.event.ActionListener() {   
				public void actionPerformed(java.awt.event.ActionEvent e) {    
					String nome = tnome.getText();
					String qtd = tqtd.getText();
					String valor = tvalor.getText();
					String descricao = tdescricao.getText();
					String codfornec = (String)combocodfornec.getSelectedItem();
					CadastarProduto a = new CadastarProduto();
					a.setNome(nome);
					a.setValor(valor);
					a.setQtd(qtd);
					a.setDescricao(descricao);
					a.setCodfornec(codfornec);
					a.cadastar();
					 JOptionPane.showMessageDialog (null,"Cadastro feita com sucesso!","Sair",JOptionPane.INFORMATION_MESSAGE);
						TelaCadastarProduto.this.dispose();
				}
			
			});
		}
		return jButton;
	}

	/**
	 * This method initializes tnome	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTnome() {
		if (tnome == null) {
			tnome = new JTextField();
			tnome.setBounds(new java.awt.Rectangle(197,97,207,20));
		}
		return tnome;
	}

	/**
	 * This method initializes tvalor	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTvalor() {
		if (tvalor == null) {
			tvalor = new JTextField();
			tvalor.setBounds(new java.awt.Rectangle(197,138,207,20));
		}
		return tvalor;
	}

	/**
	 * This method initializes tqtd	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTqtd() {
		if (tqtd == null) {
			tqtd = new JTextField();
			tqtd.setBounds(new java.awt.Rectangle(197,171,56,18));
		}
		return tqtd;
	}

	/**
	 * This method initializes tdescricao	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTdescricao() {
		if (tdescricao == null) {
			tdescricao = new JTextField();
			tdescricao.setBounds(new java.awt.Rectangle(197,208,200,20));
		}
		return tdescricao;
	}

	/**
	 * This method initializes combocodfornec	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	private JComboBox getCombocodfornec() {
		if (combocodfornec == null) {
			combocodfornec = new JComboBox();
				Banco banco = new Banco();
				try{
					Connection ExConn = banco.abrirBDConn();
					Statement stmt = ExConn.createStatement();
					ResultSet rs = stmt.executeQuery("SELECT codfornec FROM tabfornec ORDER BY codfornec");
					while (rs.next()){
						combocodfornec.addItem(rs.getString("codfornec"));
					}
					combocodfornec.setBounds(new java.awt.Rectangle(197,242,182,20));
					stmt.close();
				}catch(Exception ex){
					ex.printStackTrace();
				}}

			combocodfornec.setBounds(new java.awt.Rectangle(208,243,170,25));
		return combocodfornec;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
