package PCC;


import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

public class TelaCadastrarFornecedor extends JFrame {

	private JPanel jContentPane = null;
	private JLabel lbtitulo = null;
	private JLabel lbnome = null;
	private JLabel lbender = null;
	private JLabel lbtelef = null;
	private JLabel lbcontato = null;
	private JLabel lbcnpj = null;
	private JTextField tnome = null;
	private JTextField tender = null;
	private JTextField ttelef = null;
	private JTextField tcontato = null;
	private JTextField tcnpj = null;
	private JButton jButton = null;
	/**
	 * This is the default constructor
	 */
	public TelaCadastrarFornecedor() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(601, 361);
		this.setContentPane(getJContentPane());
		this.setTitle("Cadastrar Fornecedor");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			lbcnpj = new JLabel();
			lbcnpj.setBounds(new java.awt.Rectangle(43,246,50,16));
			lbcnpj.setText("CNPJ:");
			lbcontato = new JLabel();
			lbcontato.setBounds(new java.awt.Rectangle(43,203,132,16));
			lbcontato.setText("Contato Eletronico:");
			lbtelef = new JLabel();
			lbtelef.setBounds(new java.awt.Rectangle(43,169,75,16));
			lbtelef.setText("Telefone:");
			lbender = new JLabel();
			lbender.setBounds(new java.awt.Rectangle(43,140,73,16));
			lbender.setText("Endereo:");
			lbnome = new JLabel();
			lbnome.setBounds(new java.awt.Rectangle(43,101,38,16));
			lbnome.setText("Nome:");
			lbtitulo = new JLabel();
			lbtitulo.setBounds(new java.awt.Rectangle(176,2,305,61));
			lbtitulo.setFont(new java.awt.Font("Dialog", java.awt.Font.BOLD, 24));
			lbtitulo.setText("Cadastar Fornecedor");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(lbtitulo, null);
			jContentPane.add(lbnome, null);
			jContentPane.add(lbender, null);
			jContentPane.add(lbtelef, null);
			jContentPane.add(lbcontato, null);
			jContentPane.add(lbcnpj, null);
			jContentPane.add(getTnome(), null);
			jContentPane.add(getTender(), null);
			jContentPane.add(getTtelef(), null);
			jContentPane.add(getTcontato(), null);
			jContentPane.add(getTcnpj(), null);
			jContentPane.add(getJButton(), null);
		}
		return jContentPane;
	}

	/**
	 * This method initializes tnome	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTnome() {
		if (tnome == null) {
			tnome = new JTextField();
			tnome.setBounds(new java.awt.Rectangle(181,100,216,20));
		}
		return tnome;
	}

	/**
	 * This method initializes tender	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTender() {
		if (tender == null) {
			tender = new JTextField();
			tender.setBounds(new java.awt.Rectangle(181,135,215,20));
		}
		return tender;
	}

	/**
	 * This method initializes ttelef	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTtelef() {
		if (ttelef == null) {
			ttelef = new JTextField();
			ttelef.setBounds(new java.awt.Rectangle(181,170,193,20));
		}
		return ttelef;
	}

	/**
	 * This method initializes tcontato	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTcontato() {
		if (tcontato == null) {
			tcontato = new JTextField();
			tcontato.setBounds(new java.awt.Rectangle(181,206,176,20));
		}
		return tcontato;
	}

	/**
	 * This method initializes tcnpj	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTcnpj() {
		if (tcnpj == null) {
			tcnpj = new JTextField();
			tcnpj.setBounds(new java.awt.Rectangle(181,242,248,20));
		}
		return tcnpj;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new java.awt.Rectangle(154,284,141,24));
			jButton.setText("Cadastar");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					
					String nome = tnome.getText();
					String ender = tender.getText();
					String telef = ttelef.getText();
					String contatoeletronico = tcontato.getText();
					String cnpj = tcnpj.getText();
					CadastarFornecedor a = new CadastarFornecedor();
					a.setNome(nome);
					a.setEnder(ender);
					a.setTelef(telef);
					a.setContatoeletronico(contatoeletronico);
					a.setCnpj(cnpj);
					a.cadastar();
					JOptionPane.showMessageDialog (null,"Cadastro feita com sucesso!","Sair",JOptionPane.INFORMATION_MESSAGE);
					TelaCadastrarFornecedor.this.dispose();
							}
			});
		}
		return jButton;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
