package PCC;

import java.awt.BorderLayout;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JPasswordField;
import javax.swing.JButton;
import javax.swing.JComboBox;

import PCC.CadastarLog;

public class TelaInserirUsuario extends JFrame {

	private JPanel jContentPane = null;
	private JLabel login = null;
	private JLabel senha = null;
	private JTextField tlogin = null;
	private JPasswordField tsenha = null;
	private JButton jButton = null;
	private JLabel jLabel = null;
	private JComboBox combonivel = null;

	/**
	 * This method initializes tlogin	
	 * 	
	 * @return javax.swing.JTextField	
	 */
	private JTextField getTlogin() {
		if (tlogin == null) {
			tlogin = new JTextField();
			tlogin.setBounds(new java.awt.Rectangle(115,48,261,20));
		}
		return tlogin;
	}

	/**
	 * This method initializes tsenha	
	 * 	
	 * @return javax.swing.JPasswordField	
	 */
	private JPasswordField getTsenha() {
		if (tsenha == null) {
			tsenha = new JPasswordField();
			tsenha.setBounds(new java.awt.Rectangle(115,88,260,20));
		}
		return tsenha;
	}

	/**
	 * This method initializes jButton	
	 * 	
	 * @return javax.swing.JButton	
	 */
	private JButton getJButton() {
		if (jButton == null) {
			jButton = new JButton();
			jButton.setBounds(new java.awt.Rectangle(174,180,194,37));
			jButton.setText("Cadastar Novo Usurio");
			jButton.addActionListener(new java.awt.event.ActionListener() {
				public void actionPerformed(java.awt.event.ActionEvent e) {
					//valores dos JTextFields
					String sLogin = tlogin.getText();
					String sSenha = tsenha.getText();
					
					//pegando o valor da combo
					String sNivel = (String)combonivel.getSelectedItem();
					//trazendo apenas a primeira letra da palavra selecionada
					sNivel = sNivel.substring(0,1);

					//Criando o objeto
					CadastarLog cl = new CadastarLog();
					cl.setLogin(sLogin);
					cl.setSenha(sSenha);
					cl.setNivel(sNivel);
					cl.incluir();

				}
			});
		}
		return jButton;
	}

	/**
	 * This method initializes combonivel	
	 * 	
	 * @return javax.swing.JComboBox	
	 */
	private JComboBox getCombonivel() {
		if (combonivel == null) {
			  String [] Niveis = {"Administrador","Comun"};
			combonivel = new JComboBox(Niveis);
			combonivel.setBounds(new java.awt.Rectangle(115,122,241,18));
		}
		return combonivel;
	}

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

	/**
	 * This is the default constructor
	 */
	public TelaInserirUsuario() {
		super();
		initialize();
	}

	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(600, 425);
		this.setContentPane(getJContentPane());
		this.setTitle("Cadastro de Usurio");
	}

	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private JPanel getJContentPane() {
		if (jContentPane == null) {
			jLabel = new JLabel();
			jLabel.setBounds(new java.awt.Rectangle(33,120,38,16));
			jLabel.setText("Nivel:");
			senha = new JLabel();
			senha.setBounds(new java.awt.Rectangle(33,85,47,16));
			senha.setText("Senha:");
			login = new JLabel();
			login.setBounds(new java.awt.Rectangle(33,47,38,16));
			login.setText("Login:");
			jContentPane = new JPanel();
			jContentPane.setLayout(null);
			jContentPane.add(login, null);
			jContentPane.add(senha, null);
			jContentPane.add(getTlogin(), null);
			jContentPane.add(getTsenha(), null);
			jContentPane.add(getJButton(), null);
			jContentPane.add(jLabel, null);
			jContentPane.add(getCombonivel(), null);
		}
		return jContentPane;
	}

}  //  @jve:decl-index=0:visual-constraint="10,10"
